Bug 443365 - Anaconda (X) crashes when unplugging usb mouse during update
Anaconda (X) crashes when unplugging usb mouse during update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mouse (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Hutterer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 03:28 EDT by Hans de Goede
Modified: 2009-07-14 14:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:14:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-04-21 03:28:24 EDT
Description of problem:
Anaconda (X) crashes when unplugging usb mouse during update

Version-Release number of selected component (if applicable):
I've reproduced this on 2 completely different machines (both i386) doing a
preupgrade from F-8 to rawhide pointing preupgrade to todays rawhide.

Steps to Reproduce:
-Take an F-8 machine
-install preupgrade
-do a preupgrade to F-9
-plugin in an usb mouse (may be done during the install)
-remove usb mouse
*boom*

  
Actual results:
*boom*

Expected results:
Upgrade continues without the usb mouse
Comment 1 Chris Lumens 2008-04-21 04:07:31 EDT
Could you please state the nature of the crash you are seeing?  What is being
printed on the screen?
Comment 2 Hans de Goede 2008-04-21 05:17:17 EDT
It switched back to textmode and anaconda printed a message about an FATAL io
error (connection broken) and then started a normal (for the installer) reboot
procedure.

Let me know if you need something more, but AFAIK that was all interesting info
there was.
Comment 3 Matěj Cepl 2008-05-03 08:54:19 EDT
Hans, you know what will follow, right? ;-) (hint: /var/log/Xorg.*.log and
/etc/X11/xorg.conf).

Moreover, does your mouse work in the text mode (not sure, if it should though).
Comment 4 Hans de Goede 2008-05-03 13:04:04 EDT
Erm,

This bug has IMHO wrongly been moved to X, AFAIK this is an installer (image)
bug. Either way I'm on vacation right now and don't have access to any usb mouse
(lame but true).

Reproducing this is trivial, as said in the original report this has been
reproduced on 2 totally different systems, to reproduce:

1) take an bootable installation dvd of the F-9 preview
2) insert an usb mouse
3) boot from the iso
4) once in anaconda in graphical mode on the update or install screen unplug the
   mouse
5) boom

AFAIK (haven't tried) this does not happen with an installed F-9, checking that
should be even easier given you've got an usb mouse handy.
Comment 5 Bug Zapper 2008-05-14 05:49:57 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-06-09 20:19:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 14:14:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.